# IRremoteESP8266: decode_results Class Reference

decode_results Class Reference

Results returned from the decoder. More...

`#include <IRrecv.h>`

## Public Attributes

decode_type_t | decode_type
union {
struct {
uint64_t value
uint32_t address
uint32_t command
} |
uint8_t state [kStateSizeMax]
}; |
uint16_t | bits
volatile uint16_t * | rawbuf
uint16_t | rawlen
bool | overflow
bool | repeat

## Detailed Description

Results returned from the decoder.

## Member Data Documentation

## @68

union { ... }

## address

uint32_t decode_results::address

## bits

uint16_t decode_results::bits

## command

uint32_t decode_results::command

## decode_type

decode_type_t decode_results::decode_type

## overflow

bool decode_results::overflow

## rawbuf

volatile uint16_t* decode_results::rawbuf

## rawlen

uint16_t decode_results::rawlen

## repeat

bool decode_results::repeat

## state

uint8_t decode_results::state[kStateSizeMax]

## value

uint64_t decode_results::value

The documentation for this class was generated from the following file:

- src/IRrecv.h